path: /build/build/stringio-dev-ruby-3.1.7.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - |
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -ruby_targets_ruby27 -ruby_targets_ruby30 -ruby_targets_ruby32 -test ruby_targets_ruby31" emerge dev-ruby/stringio -pv -t
  - |
    USE="-doc -ruby_targets_ruby27 -ruby_targets_ruby30 -ruby_targets_ruby32 -test ruby_targets_ruby31" emerge -j ${JOBS} --nodeps dev-ruby/stringio
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/stringio && luet-portage --dir
    /pkgdir/stringio dev-ruby/stringio
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:24cdff03a8c20fe8e59a2ce29f0fcea4d22d859783de128ff6f1357271f1386a
  package:
    name: stringio
    version: 3.1.7
    category: dev-ruby
    use_flags:
    - -doc
    - -ruby_targets_ruby27
    - -ruby_targets_ruby30
    - -ruby_targets_ruby32
    - -test
    - ruby_targets_ruby31
    requires:
    - name: rubygems
      version: '>=0'
      category: virtual
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Pseudo `IO` class from/to `String`.
    uri:
    - https://github.com/ruby/stringio
    license: BSD-2
    buildtimestamp: 2025-09-19 22:38:17.830397544 +0000 UTC m=+78.467895014
    labels:
      BDEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby32(-)] ) )
        ruby_targets_ruby31? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30?
        ( doc? ( dev-ruby/rdoc[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? (
        doc? ( dev-ruby/rdoc[ruby_targets_ruby27(-)] ) ) ruby_targets_ruby32? ( test?
        ( dev-ruby/rake[ruby_targets_ruby32(-)] ) ) ruby_targets_ruby31? ( test? (
        dev-ruby/rake[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30? ( test? ( dev-ruby/rake[ruby_targets_ruby30(-)]
        ) ) ruby_targets_ruby27? ( test? ( dev-ruby/rake[ruby_targets_ruby27(-)] )
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] ) test?
        ( ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] ) )
      DEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
      IUSE: test ruby_targets_ruby27 ruby_targets_ruby30 ruby_targets_ruby31 ruby_targets_ruby32
        doc test test
      RDEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
      emerge.packages: dev-ruby/stringio
      kit: ruby-kit
      original.package.name: dev-ruby/stringio
      original.package.slot: "0"
      original.package.version: 3.1.7
    treedir: /build/packages
  package_dir: /pkgdir/stringio
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: ce2a43860f5ee4590bc43908cf41ec27546983bee74a86f56db47e5a1094fbb2
compressiontype: zstd
files:
- usr/lib64/ruby/gems/3.1.0/extensions/x86_64-linux/3.1.0/stringio-3.1.7/gem.build_complete
- usr/lib64/ruby/gems/3.1.0/extensions/x86_64-linux/3.1.0/stringio-3.1.7/stringio.so
- usr/lib64/ruby/gems/3.1.0/gems/stringio-3.1.7/lib/java/stringio.rb
- usr/lib64/ruby/gems/3.1.0/gems/stringio-3.1.7/lib/stringio.so
- usr/lib64/ruby/gems/3.1.0/specifications/stringio-3.1.7.gemspec
- usr/share/doc/stringio-3.1.7/README.md.bz2
- var/db/pkg/dev-ruby/stringio-3.1.7/BDEPEND
- var/db/pkg/dev-ruby/stringio-3.1.7/BUILD_TIME
- var/db/pkg/dev-ruby/stringio-3.1.7/CATEGORY
- var/db/pkg/dev-ruby/stringio-3.1.7/CBUILD
- var/db/pkg/dev-ruby/stringio-3.1.7/CFLAGS
- var/db/pkg/dev-ruby/stringio-3.1.7/CHOST
- var/db/pkg/dev-ruby/stringio-3.1.7/CONTENTS
- var/db/pkg/dev-ruby/stringio-3.1.7/COUNTER
- var/db/pkg/dev-ruby/stringio-3.1.7/CTARGET
- var/db/pkg/dev-ruby/stringio-3.1.7/CXX
- var/db/pkg/dev-ruby/stringio-3.1.7/CXXFLAGS
- var/db/pkg/dev-ruby/stringio-3.1.7/DEFINED_PHASES
- var/db/pkg/dev-ruby/stringio-3.1.7/DEPEND
- var/db/pkg/dev-ruby/stringio-3.1.7/DESCRIPTION
- var/db/pkg/dev-ruby/stringio-3.1.7/EAPI
- var/db/pkg/dev-ruby/stringio-3.1.7/FEATURES
- var/db/pkg/dev-ruby/stringio-3.1.7/HOMEPAGE
- var/db/pkg/dev-ruby/stringio-3.1.7/INHERITED
- var/db/pkg/dev-ruby/stringio-3.1.7/IUSE
- var/db/pkg/dev-ruby/stringio-3.1.7/IUSE_EFFECTIVE
- var/db/pkg/dev-ruby/stringio-3.1.7/KEYWORDS
- var/db/pkg/dev-ruby/stringio-3.1.7/LDFLAGS
- var/db/pkg/dev-ruby/stringio-3.1.7/LICENSE
- var/db/pkg/dev-ruby/stringio-3.1.7/NEEDED
- var/db/pkg/dev-ruby/stringio-3.1.7/NEEDED.ELF.2
- var/db/pkg/dev-ruby/stringio-3.1.7/PF
- var/db/pkg/dev-ruby/stringio-3.1.7/PROVIDES
- var/db/pkg/dev-ruby/stringio-3.1.7/RDEPEND
- var/db/pkg/dev-ruby/stringio-3.1.7/REQUIRES
- var/db/pkg/dev-ruby/stringio-3.1.7/RESTRICT
- var/db/pkg/dev-ruby/stringio-3.1.7/SIZE
- var/db/pkg/dev-ruby/stringio-3.1.7/SLOT
- var/db/pkg/dev-ruby/stringio-3.1.7/USE
- var/db/pkg/dev-ruby/stringio-3.1.7/environment.bz2
- var/db/pkg/dev-ruby/stringio-3.1.7/repository
- var/db/pkg/dev-ruby/stringio-3.1.7/stringio-3.1.7.ebuild
package_cacheimage: ""
runtime:
  name: stringio
  version: 3.1.7
  category: dev-ruby
  use_flags:
  - -doc
  - -ruby_targets_ruby27
  - -ruby_targets_ruby30
  - -ruby_targets_ruby32
  - -test
  - ruby_targets_ruby31
  requires:
  - name: rubygems
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Pseudo `IO` class from/to `String`.
  uri:
  - https://github.com/ruby/stringio
  license: BSD-2
  labels:
    BDEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby32(-)] ) ) ruby_targets_ruby31?
      ( doc? ( dev-ruby/rdoc[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30? ( doc?
      ( dev-ruby/rdoc[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby27(-)]
      ) ) ruby_targets_ruby32? ( test? ( dev-ruby/rake[ruby_targets_ruby32(-)] ) )
      ruby_targets_ruby31? ( test? ( dev-ruby/rake[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30?
      ( test? ( dev-ruby/rake[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? ( test?
      ( dev-ruby/rake[ruby_targets_ruby27(-)] ) ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)]
      ) ruby_targets_ruby31? ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
      ( virtual/rubygems[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)]
      ) test? ( ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] )
      ruby_targets_ruby31? ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
      ( virtual/rubygems[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)]
      ) )
    DEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
      ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
      ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
    IUSE: test ruby_targets_ruby27 ruby_targets_ruby30 ruby_targets_ruby31 ruby_targets_ruby32
      doc test test
    RDEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
      ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
      ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
    emerge.packages: dev-ruby/stringio
    kit: ruby-kit
    original.package.name: dev-ruby/stringio
    original.package.slot: "0"
    original.package.version: 3.1.7
